python-dmidecode (3.12.3-4build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:26:51 +0000

python-dmidecode (3.12.3-4build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:33:17 +0000

python-dmidecode (3.12.3-4) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-setuptools (Closes: #1080739)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 14 Oct 2024 12:30:51 +0200

python-dmidecode (3.12.3-3) unstable; urgency=medium

  * d/control: Adopt package. Add myself as Uploaders. Closes: #1065233.
  * d/control: Bump debhelper-compat to 13 (from 12). No further changes
    needed.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.5.0; no further changes
    needed).
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 13 Mar 2024 18:52:12 -0300

python-dmidecode (3.12.3-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 00:47:52 -0500

python-dmidecode (3.12.3-1) unstable; urgency=medium

  [ Vasudev Kamath ]
  * New upstream release
  * Refresh patch: 0002-Stop-linking-with-libxml2mod.patch
  * Drop patch: 0001-Don-t merged upstream.
  * Drop patch: 0003-Fix-memory merged upstream.

  [ Alexandre Detiste ]
  * debian/patches/0006-Support-Python-3.10-s-2-digit-minor-version.patch
    - support Python 2-digits minor version, fixing a FTBFS; Closes: #1054813

 -- Sandro Tosi <morph@debian.org>  Sat, 20 Jan 2024 02:51:19 -0500

python-dmidecode (3.12.2-13) unstable; urgency=medium

  * Team upload.
  * Patch: Support Python 3.10's 2-digit minor version in the test runner.
    (Closes: #999373)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Nov 2021 23:24:23 -0400

python-dmidecode (3.12.2-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-dmidecode-data: Add Multi-Arch: foreign.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * remove -dbg package; Closes: #994351

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:35:19 -0400

python-dmidecode (3.12.2-11) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * Use pkg-config to find libxml2 linker flags, patch by Logan Rosen;
    Closes: #949486
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Jul 2020 23:26:05 -0400

python-dmidecode (3.12.2-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Drop python 2 support

 -- Sandro Tosi <morph@debian.org>  Wed, 21 Aug 2019 14:12:13 -0400

python-dmidecode (3.12.2-9) unstable; urgency=medium

  * revert symlink_to_dir for -dbg packages; Closes: #924007

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Mar 2019 14:49:11 -0500

python-dmidecode (3.12.2-8) unstable; urgency=medium

  * debian/rules
    - remove doc/ directories, to actually use dir_to_symlink; Closes: #919442
  * debian/*.maintscript
    - use prior-of tag at the end of the command-line

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Mar 2019 17:51:40 -0500

python-dmidecode (3.12.2-7) unstable; urgency=medium

  * debian/*.maintscript
    - properly handle the -dbg dir-to-symlink migration; Closes: #919442
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Jan 2019 23:09:03 -0500

python-dmidecode (3.12.2-6) unstable; urgency=medium

  * add breaks+replace for -data; Closes: #916767

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Dec 2018 19:50:28 -0500

python-dmidecode (3.12.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/patches/0003-Fix-memory-Type-Detail-map-size.patch
    - Fix memory Type Detail map size; Closes: #912258
  * build py3k package; Closes: #901582
  * debian/patches/0004-makefile-dont-cp.patch
    - dont copy the build extentiont to basedir: correct extensions detection is
      broken in upstream Makefile, and copying the extensions is not required
      anyway
  * debian/upstream.changelog
    - remove, obsolete
  * debian/pyversions
    - remove, obsolete
  * reorg doc files installation
  * add python-dmidecode-data, to install arch indep files

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Dec 2018 14:01:47 -0500

python-dmidecode (3.12.2-4) unstable; urgency=medium

  * debian/{control,copyright}
    - point upstream homepage to github, now that fedorahosted is retired
  * debian/watch
    - scan github for new releases
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
  * debian/patches/0001-Don-t-use-unaligned-access-on-ARM.patch
    - don't use unaligned access on ARM; patch by Steve Langasek;
      Closes: #864960
  * debian/patches/0002-Stop-linking-with-libxml2mod.patch
    - stop linking with libxml2mod; patch by Adrian Bunk; Closes: #867609

 -- Sandro Tosi <morph@debian.org>  Tue, 05 Dec 2017 23:55:43 -0500

python-dmidecode (3.12.2-3) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/patches/tests_inject_correct_build_dir.patch
    - use the correct build directory to run tests, this fixes a FTBFS on
      non-linux archs; Closes: #808363
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)
    - drop X-Python-Version, no longer needed
  * debian/copyright
    - extend packaging copyright years
  * declare compat level 10
  * debian/pyversions
    - removed, no longer needed

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Jan 2017 12:36:23 -0500

python-dmidecode (3.12.2-2) unstable; urgency=medium

  * debian/{python-dmidecode-dbg.docs, rules}
    - restore -dbg symlink to main pkg doc dir, lost during conversion to dh;
      Closes: #788446

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Nov 2015 16:45:27 +0000

python-dmidecode (3.12.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - run tests at build time
    - code is incompatible with std=gnu11 (default in GCC5), so set std=gnu89
  * debian/patches/
    - drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 14:53:16 +0100

python-dmidecode (3.12.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - set me as Maintainer, team as Uploaders
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/watch
    - update location to fedorahosted.org git snapshot
  * debian/copyright
    - converted to DEP-5 format
    - extend packaging copyright years
    - extend upstream copyright years
  * debian/rules
    - converted to dh sequencer
  * debian/{control, compat}
    - bump debhelper compat to 9
  * Switch to dh_python2
  * debian/python-dmidecode-dbg.postinst
    - removed
  * debian/patches/*
    - patches to support Python 3, still not enables as there is no py3k support
      for libxml2 yet

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Apr 2015 17:28:06 +0100

python-dmidecode (3.10.13-3) unstable; urgency=low

  [ Sandro Tosi ]
  * Acknowledge NMU: 3.10.13-1.1
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 18:17:32 +0100

python-dmidecode (3.10.13-2) experimental; urgency=low

  * debian/{control, copyright}
    - updated upstream homepage; thanks to Jakub Wilk for the report;
      Closes: #540389
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/copyright
    - add copyright for my contribution to Debian packaging

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Aug 2012 23:43:07 +0200

python-dmidecode (3.10.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/python-dmidecode-dbg.postinst: Fix directory to symlink upgrade in
    postinst. (Closes: #687882)

 -- David Prévot <taffit@debian.org>  Thu, 27 Sep 2012 10:27:35 -0400

python-dmidecode (3.10.13-1) unstable; urgency=low

  [ Nima Talebi]
  * Switch to dpkg-source 3.0 (quilt) format
  * Upstream bugfix release. See the following URI for details:
        https://bugzilla.redhat.com/show_bug.cgi?id=583867
  * Added a missing dependency (Closes: Bug#578891) - thanks to Sven Wick for
    the bug report.

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - set DPMT as maintainer, Nima & me as uploaders
    - remove useless Provides and XB-P-V
    - reorganize a bit source stanza fields, renaming XS-P-V to X-P-V
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/rules
    - don't set DH_VERBOSE
    - fix build* targets deps as per lintian suggestion
  * debian/{mk.override, pyversions, upstream.changelog}
    - removed, useless
  * debian/{python-dmidecode-dbg.docs, rules}
    - don't install doc for -dbg, but symlink to the main module one

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Jan 2012 15:56:32 +0100

python-dmidecode (3.10.11-2) unstable; urgency=low

  * Small fix to example file.

 -- Nima Talebi <nima@it.net.au>  Thu, 04 Mar 2010 10:55:55 +1100

python-dmidecode (3.10.11-1) unstable; urgency=low

  * New upstream release.
  * Log messages no longer handled via `fprintf' statements, but handled
    inside a data structure and dealt with accordingly.

 -- Nima Talebi <nima@it.net.au>  Tue, 16 Feb 2010 08:30:44 +1100

python-dmidecode (3.10.10-1) unstable; urgency=low

  * New upstream cleanup release.
  * This release has addressed the previously messy error/warning handling.

 -- Nima Talebi <nima@it.net.au>  Tue, 12 Jan 2010 11:59:27 +1100

python-dmidecode (3.10.9-1) unstable; urgency=low

  * New upstream bug-fix release.
  * Add --install-layout=deb to debian/rules setup.py install to prevent files
    from landing in /usr/local (Closes: Bug#563883) - thanks to Scott
    Kitterman.
 -- Nima Talebi <nima@it.net.au>  Tue, 05 Jan 2010 22:02:29 -0500

python-dmidecode (3.10.8-2) unstable; urgency=low

  * Resolved conflict between standard and debug package (Closes: #561904).

 -- Nima Talebi <nima@it.net.au>  Sun, 20 Dec 2009 11:17:37 +1100

python-dmidecode (3.10.8-1) unstable; urgency=low

  * New Upstream release.
  * Big-endian and little-endian approved.
  * Packaged unit-test to tarball.
  * Rewritten unit-test to be able to run as non-root user, where it will not
    try to read /dev/mem.
  * Added two dmidump data files to the unit-test.

 -- Nima Talebi <nima@it.net.au>  Tue, 15 Dec 2009 10:33:31 +1100

python-dmidecode (3.10.7-3) unstable; urgency=low

  * Last of URI fixes (#540389).

 -- Nima Talebi <nima@it.net.au>  Sun, 13 Dec 2009 04:20:55 +1100

python-dmidecode (3.10.7-2) unstable; urgency=low

  * Added libxml2 dependencies (Closes: #548669).

 -- Nima Talebi <nima@it.net.au>  Mon, 28 Sep 2009 18:59:05 +1000

python-dmidecode (3.10.7-1) unstable; urgency=low

  * New Upstream release.

 -- Nima Talebi <nima@it.net.au>  Wed, 23 Sep 2009 18:43:29 +1000

python-dmidecode (3.10.6-3) unstable; urgency=low

  * Updating debian/* to generate package.

 -- Nima Talebi <nima@it.net.au>  Wed, 09 Sep 2009 23:01:48 +1000

python-dmidecode (3.10.6-2) unstable; urgency=low

  * Fixed homepage (Closes: #540389).

 -- Nima Talebi <nima@it.net.au>  Sat, 08 Aug 2009 13:53:40 +1000

python-dmidecode (3.10.6-1) unstable; urgency=low

  * Introducing the XML extensions to python-dmidecode, by of David Sommerseth
    from Red Hat.  A big thankyou to David, Red Hat, and other people from
    Red Hat that contributed (and are still contributing) time and knowledge
    to this project.  These changes are summarized as follows...
  * Rewritten the internals to use libxml2 for (in memory) data storage.
  * Added much more useful information into the XML data than what the original
    data structured could held.
  * Implemented mapping methods to dynamically map XML fields to Python
    dictionaries.  The mapping itself is defined in an XML file utilising XPath
    expressions.
  * Prepared python-dmidecode for a native XML implementation from Python using
    libxml2.

 -- Nima Talebi <nima@it.net.au>  Sat, 23 May 2009 13:19:25 +1000

python-dmidecode (2.10.6-1) unstable; urgency=low

  * David Sommerseth, as part of wrting the XML (libxml2) extensions to
    python-dmidecode, noted a few abnormalities.  Sure enough, they were
    silent bugs introduced at the time of the initial writing of
    python-dmidecode (from dmidecode).  This has now been fixed.

 -- Nima Talebi <nima@it.net.au>  Wed, 20 May 2009 23:15:32 +1000

python-dmidecode (2.10.5-3) unstable; urgency=low

  * Converting to pysupport from pycentral.

 -- Nima Talebi <nima@it.net.au>  Fri, 17 Apr 2009 21:40:38 +1000

python-dmidecode (2.10.5-2) unstable; urgency=low

  * Minor cleanup.

 -- Nima Talebi <nima@it.net.au>  Tue, 14 Apr 2009 19:08:16 +1000

python-dmidecode (2.10.5-1) unstable; urgency=low

  * Upstream (cleanup) release.

 -- Nima Talebi <nima@it.net.au>  Mon, 09 Mar 2009 10:29:52 +1100

python-dmidecode (2.10.4-1) unstable; urgency=low

  * Upstream release - purely to do with rpm packaging.
  * Added upstream changelog.

 -- Nima Talebi <nima@it.net.au>  Mon, 09 Mar 2009 00:45:19 +1100

python-dmidecode (2.10.3-1) unstable; urgency=low

  * Upstream release - separate setup.py for debug and non-debug versions of
    python-dmidecode (Closes: #516358).

 -- Nima Talebi <nima@it.net.au>  Mon, 23 Feb 2009 00:34:11 +1100

python-dmidecode (2.10.2-1) unstable; urgency=low

  * Upstream release.
  * Added upstream changelog.
  * Added hopepage to the control file.
  * Change (C) to © in the copyright.
  * Changed generic (GPL) license to specific (GPL-3).

 -- Nima Talebi <nima@it.net.au>  Fri, 13 Feb 2009 06:36:30 -0800

python-dmidecode (2.10.1-3) unstable; urgency=low

  * Updated copyright file.

 -- Nima Talebi <nima@it.net.au>  Wed, 14 Jan 2009 13:24:58 -0800

python-dmidecode (2.10.1-2) unstable; urgency=low

  * Fixed watchfile.

 -- Nima Talebi <nima@it.net.au>  Mon, 12 Jan 2009 23:43:17 -0800

python-dmidecode (2.10.1-1) unstable; urgency=low

  * The separation between the upstream and the debian files is now complete.

 -- Nima Talebi <nima@it.net.au>  Mon, 12 Jan 2009 00:19:29 -0800

python-dmidecode (2.10-2) unstable; urgency=low

  * Conform the the latest Lintian rules.

 -- Nima Talebi <nima@it.net.au>  Sun, 11 Jan 2009 15:04:58 -0800

python-dmidecode (2.10-1) unstable; urgency=low

  * Initial release (Closes: #509169)

 -- Nima Talebi <nima@it.net.au>  Fri, 19 Dec 2008 14:04:16 +0900
